Method: cases.escalate

Escalate a case, starting the Google Cloud Support escalation management process.

This operation is only available for some support services. Go to https://cloud.google.com/support and look for 'Technical support escalations' in the feature list to find out which ones let you do that.

EXAMPLES:

cURL:

case="projects/some-project/cases/43595344"
curl \
  --request POST \
  --header "Authorization: Bearer $(gcloud auth print-access-token)" \
  --header "Content-Type: application/json" \
  --data '{
    "escalation": {
      "reason": "BUSINESS_IMPACT",
      "justification": "This is a test escalation."
    }
  }' \
  "https://cloudsupport.googleapis.com/v2/$case:escalate"

Python:

import googleapiclient.discovery

apiVersion = "v2"
supportApiService = googleapiclient.discovery.build(
    serviceName="cloudsupport",
    version=apiVersion,
    discoveryServiceUrl=f"https://cloudsupport.googleapis.com/$discovery/rest?version={apiVersion}",
)
request = supportApiService.cases().escalate(
    name="projects/some-project/cases/43595344",
    body={
        "escalation": {
            "reason": "BUSINESS_IMPACT",
            "justification": "This is a test escalation.",
        },
    },
)
print(request.execute())

HTTP request

POST https://cloudsupport.googleapis.com/v2/{name=*/*/cases/*}:escalate

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the case to be escalated.

Request body

The request body contains data with the following structure:

JSON representation
{
  "escalation": {
    object (Escalation)
  }
}
Fields